Page MenuHome

Crash when hiding collection that contains a disabled collection
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-7-6.1.7601-SP1 64 Bits
Graphics card: GeForce RTX 2080/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 419.67

Blender Version
Broken: version: 2.81 (sub 1), branch: master, commit date: 2019-08-11 15:10, hash: rB0d719fcacb3b
Worked: (optional)

Short description of error
Blender crashes when hiding a collection that contains another collection that is disabled. This also happens in the latest official release.

Exact steps for others to reproduce the error
Open the default startup file.

  • Select the cube, press M to move it to a new collection. Leave the default name of "Collection 2"

The following steps are all performed inside the outliner

  • Disable Collection 2 by clicking the checkbox
  • Right click and create a new collection. Leave the default name of "Collection 3"
  • Drag Collection 2 into Collection 3
  • Click the eye icon of Collection 3
  • Blender crashes.

Event Timeline

Philipp Oeser (lichtwerk) lowered the priority of this task from 90 to 50.Aug 13 2019, 10:33 AM

Confirmed, checking...

Drag Collection 2 into Collection 3

Note: one of the problems here is that this step already shows wrong behavior: the cube inside the disabled collection gets visible (it shouldnt -- thats a bug that probably leads to crash later when hiding the Collection 3)
If you drag Collection 2 into Collection 3 and only then disable the Collection 2 by clicking the checkbox, the cube will be correctly excluded from the viewlayer (and no crash happens later when hiding the Collection 3)

Philipp Oeser (lichtwerk) changed the task status from Unknown Status to Resolved.Sep 9 2019, 2:38 PM
Philipp Oeser (lichtwerk) claimed this task.

I cannot reproduce the crash anymore (as of rB98d3a16281b6).
Havent hunted down the commit that fixed this, but...
The issue with the cube inside the disabled collection getting visible is now reported separately in T69644: Objects in hidden collection become visible when the hidden collection gets parented to a visible collection

@Mape (MaskedApe): feel free to comment again or reopen if issues persist...

I'm still seeing this crash in the build from September 09, 23:15:36 - 3e81c1c1d5fd Windows 64 bit

Philipp Oeser (lichtwerk) raised the priority of this task from 50 to 80.Sep 10 2019, 5:17 PM
Philipp Oeser (lichtwerk) changed the task status from Resolved to Unknown Status.Sep 10 2019, 6:02 PM
Dalai Felinto (dfelinto) lowered the priority of this task from 80 to High.
Dalai Felinto (dfelinto) updated the task description. (Show Details)

BLI_assert failed: //source/blender/blenkernel/intern/object_update.c:429, BKE_object_eval_eval_base_flags(), at 'base_index < MEM_allocN_len(view_layer->object_bases_array) / sizeof(Base *)'

Full backtrace: P1097

Dalai Felinto (dfelinto) changed the task status from Unknown Status to Resolved.Oct 15 2019, 4:29 AM